<?xml version="1.0" encoding="UTF-8"?>
<!-- edited with XMLSpy v2009 sp1 (http://www.altova.com) by Robert F Willis (x-rite) -->
<!-- CxF3-qualitycontrol  version 1.0.02 -->
<!--W3C Schema generated by XMLSpy v2009 sp1 (http://www.altova.com)-->
<xs:schema xmlns:qc="http://colorexchangeformat.com/CxF3-qualitycontrol" xmlns:xs="http://www.w3.org/2001/XMLSchema" targetNamespace="http://colorexchangeformat.com/CxF3-qualitycontrol" elementFormDefault="qualified">
	<xs:simpleType name="NCNameList">
		<xs:annotation>
			<xs:documentation>List of references to ObjectID's contained in the core CXF Resources ObjectCollection. Note that ONLY the CXF Core resources are validated, and lists of references to objects within the Resources MAY not be valid (the object that is referenced may have been deleted).</xs:documentation>
		</xs:annotation>
		<xs:list itemType="xs:NCName"/>
	</xs:simpleType>
	<xs:element name="QualityControl">
		<xs:annotation>
			<xs:documentation>Root Element of the QualityControl namespace. QualityControl is an example of a CXF CustomResource. It references the color objects contained in the core resources, and specifies how those objects might be arranged in a Standard/Sample type relationship and includes tolerances and other quality control specific information.</xs:documentation>
		</xs:annotation>
		<xs:complexType>
			<xs:sequence>
				<xs:element ref="qc:QCSet" minOccurs="0" maxOccurs="unbounded">
					<xs:annotation>
						<xs:documentation>Named qualitycontrol standard/samples set within the Quality Control Custom Resource.</xs:documentation>
					</xs:annotation>
				</xs:element>
			</xs:sequence>
			<xs:attribute name="Name" type="xs:string" use="required"/>
		</xs:complexType>
	</xs:element>
	<xs:element name="QCSet">
		<xs:annotation>
			<xs:documentation>Named set within the QualityControl resource. A QCSet can contain from 1 to many sets. Each set has a standard reference to a color ObjectId within the core resources, a set of tolerances, and 0 to many sample references to be compared to that standard.</xs:documentation>
		</xs:annotation>
		<xs:complexType>
			<xs:sequence>
				<xs:element ref="qc:ToleranceSet" minOccurs="0" maxOccurs="3"/>
				<xs:element ref="qc:SampleSet" minOccurs="0"/>
			</xs:sequence>
			<xs:attribute name="Name" type="xs:string" use="required"/>
			<xs:attribute name="StandardRef" type="xs:NCName" use="required"/>
		</xs:complexType>
	</xs:element>
	<xs:element name="SampleSet">
		<xs:annotation>
			<xs:documentation>List of references to the Sample ObjectId's seperated with white space</xs:documentation>
		</xs:annotation>
		<xs:complexType>
			<xs:sequence>
				<xs:element ref="qc:Obj" minOccurs="0" maxOccurs="unbounded">
					<xs:annotation>
						<xs:documentation>Object reference for a single Object contained in the core Resources.</xs:documentation>
					</xs:annotation>
				</xs:element>
			</xs:sequence>
		</xs:complexType>
	</xs:element>
	<xs:element name="Obj">
		<xs:annotation>
			<xs:documentation>Object reference Id for a single Color Object.</xs:documentation>
		</xs:annotation>
		<xs:complexType>
			<xs:attribute name="Id" type="xs:NCName" use="required"/>
		</xs:complexType>
	</xs:element>
	<xs:element name="ToleranceSet">
		<xs:annotation>
			<xs:documentation>Set of Tolerances to be used for specified reference condition.</xs:documentation>
		</xs:annotation>
		<xs:complexType>
			<xs:sequence>
				<xs:element ref="qc:CIELabTolerances" minOccurs="0"/>
				<xs:element ref="qc:CustomTolerances" minOccurs="0"/>
			</xs:sequence>
			<xs:attribute name="Name" type="xs:string" use="optional"/>
			<xs:attribute name="ColorSpecification" type="xs:NCName" use="required"/>
		</xs:complexType>
	</xs:element>
	<xs:element name="CustomTolerances">
		<xs:annotation>
			<xs:documentation>Holds Tolerances For Custom types of Color Differences</xs:documentation>
		</xs:annotation>
		<xs:complexType>
			<xs:sequence>
				<xs:element name="Tol" type="qc:CustomRangeToleranceType" minOccurs="0" maxOccurs="unbounded"/>
			</xs:sequence>
		</xs:complexType>
	</xs:element>
	<xs:element name="CIELabTolerances">
		<xs:annotation>
			<xs:documentation>Holds Tolerances For CIELab types of Color Differences</xs:documentation>
		</xs:annotation>
		<xs:complexType>
			<xs:sequence>
				<xs:element name="dLTol" type="qc:RangeToleranceType" minOccurs="0"/>
				<xs:element name="dATol" type="qc:RangeToleranceType" minOccurs="0"/>
				<xs:element name="dBTol" type="qc:RangeToleranceType" minOccurs="0"/>
				<xs:element name="dCTol" type="qc:RangeToleranceType" minOccurs="0"/>
				<xs:element name="dHTol" type="qc:RangeToleranceType" minOccurs="0"/>
				<xs:element name="dETol" type="qc:SingleDEToleranceType" minOccurs="0"/>
				<xs:element name="dEcmcTol" type="qc:SingleDEToleranceType" minOccurs="0"/>
				<xs:element name="dE94Tol" type="qc:SingleDEToleranceType" minOccurs="0"/>
				<xs:element name="dE2000Tol" type="qc:SingleDEToleranceType" minOccurs="0"/>
			</xs:sequence>
		</xs:complexType>
	</xs:element>
	<xs:complexType name="RangeToleranceType">
		<xs:annotation>
			<xs:documentation>Tolerance type containing max, min tolerance values.</xs:documentation>
		</xs:annotation>
		<xs:sequence>
			<xs:element name="max" type="xs:double"/>
			<xs:element name="min" type="xs:double"/>
		</xs:sequence>
	</xs:complexType>
	<xs:complexType name="SingleDEToleranceType">
		<xs:simpleContent>
			<xs:extension base="xs:double">
				<xs:attribute name="LRatio" type="xs:double" use="optional"/>
			</xs:extension>
		</xs:simpleContent>
	</xs:complexType>
	<xs:complexType name="CustomRangeToleranceType">
		<xs:annotation>
			<xs:documentation>Custom Tolerance type containing label, max, min tolerance values.</xs:documentation>
		</xs:annotation>
		<xs:sequence>
			<xs:element name="max" type="xs:double"/>
			<xs:element name="min" type="xs:double"/>
		</xs:sequence>
		<xs:attribute name="Label" type="xs:string" use="required"/>
	</xs:complexType>
	<xs:complexType name="CustomSingleToleranceType">
		<xs:simpleContent>
			<xs:extension base="xs:double">
				<xs:attribute name="Label" type="xs:string" use="required"/>
			</xs:extension>
		</xs:simpleContent>
	</xs:complexType>
</xs:schema>
